schedule function mcs_nether_mobs:main_code/1s 1s
#reset_interaction
execute as @e[type=interaction,tag=mcs_nether_mobs.interaction] at @s run execute if entity @p[distance=..128] at @s run kill @s
#player
execute as @a at @s run function mcs_nether_mobs:player/1s
#warped_silverfish
execute as @e[type=silverfish,tag=mcs_warped_endermite] at @s run execute if entity @p[distance=..16] at @s run function mcs_nether_mobs:mobs/warped_silverfish/global
#piglins
execute as @e[type=#mcs_nether_mobs:piglins] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/piglins/global
#strider
execute as @e[type=strider,tag=!smithed.entity] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/strider/global
#nether_spawns
execute as @e[type=#mcs_nether_mobs:nether_spawn_mobs,tag=!mcs_nether_mobs.spawned,tag=!smithed.entity] at @s run execute if dimension minecraft:the_nether at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:natural_spawning/global
#blaze
execute as @e[type=blaze] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/blaze/global
#zombified_piglin_once
execute as @e[type=zombified_piglin,tag=!mcs_zombified_piglin,tag=!smithed.entity] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/zombified_piglin/global
#passive_mobs_despawn
execute as @e[type=#mcs_nether_mobs:passive_mobs,tag=mcs_nether_mobs.breedable] at @s run function mcs_nether_mobs:mobs/animals/global
#nether_star
execute as @e[type=item,predicate=mcs_nether_mobs:items/nbt/nether_star,tag=!mcs_nether_once] at @s run execute if entity @p[distance=..128] at @s run data merge entity @s {NoGravity:1b,Glowing:1b,Invulnerable:1b,Tags:["smithed.entity","mcs_nether_once"]}
#wither_boss
execute as @e[type=wither,tag=!smithed.entity] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/wither/global_wither
#wither_fireball
execute as @e[type=fireball,tag=mcs_wither_fireball] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/wither/fireball/motion
#wither_skeleton
execute as @e[type=wither_skeleton] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/wither_skeleton/global_1s
#magma_zombie
execute as @e[type=husk,tag=mcs_magma_zombie] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:mobs/magma_zombie/global
#warped_zombie
execute as @e[type=drowned,tag=mcs_warped_zombie,predicate=mcs_nether_mobs:attacks/8,predicate=mcs_nether_mobs:chance/0.1] at @s run execute if entity @p[distance=..128] run execute on target run function mcs_nether_mobs:mobs/warped_zombie/apply_effect
#warped_infection
execute if score $mcs_nether_mobs mcs_warped_infection_effect matches 1 run function mcs_nether_mobs:effects/warped_infection/detect
#marker
execute as @e[type=marker,tag=mcs_twisting_vines] at @s run execute if entity @p[distance=..128] at @s run function mcs_nether_mobs:effects/warped_infection/vine/global